List project directories
List known local absolute directories for a project.
GET
/api/project/{projectID}/directoriesPath parameters
projectIDstringrequiredQuery parameters
locationobject | anyResponses
200Project.Directories
Array of
Project.Directorydirectorystringrequiredstrategystring400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/project/string/directories"const response = await fetch("/api/project/string/directories", {
method: "GET"
});import requests
response = requests.get(
"/api/project/string/directories",
)Response
[
{
"directory": "string",
"strategy": "string"
}
]{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}